tigase.server.sreceiver

## Enum TaskInstanceCommand.USER_ACTION

- java.lang.Object
- - java.lang.Enum<TaskInstanceCommand.USER_ACTION>
  - - tigase.server.sreceiver.TaskInstanceCommand.USER_ACTION

- All Implemented Interfaces:
    Serializable, Comparable<TaskInstanceCommand.USER_ACTION>
  Enclosing class:
    TaskInstanceCommand

      public static enum TaskInstanceCommand.USER_ACTION
      extends Enum<TaskInstanceCommand.USER_ACTION>

  Enum description

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APROVE_PENDING_MODERATIONS`
    `REJECT_PENDING_MODERATIONS`
    `SELECT_USER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `strValues()` Method description
    `static TaskInstanceCommand.USER_ACTION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskInstanceCommand.USER_ACTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APROVE_PENDING_MODERATIONS

          public static final TaskInstanceCommand.USER_ACTION APROVE_PENDING_MODERATIONS

    - #### REJECT_PENDING_MODERATIONS

          public static final TaskInstanceCommand.USER_ACTION REJECT_PENDING_MODERATIONS

    - #### SELECT_USER

          public static final TaskInstanceCommand.USER_ACTION SELECT_USER

  - ### Method Detail

    - #### values

          public static TaskInstanceCommand.USER_ACTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskInstanceCommand.USER_ACTION c : TaskInstanceCommand.USER_ACTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskInstanceCommand.USER_ACTION valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### strValues

          public static String[] strValues()

      Method description

Copyright © 2022 "Tigase, Inc.". All rights reserved.